# example_simple_application_coordinator_afzdo.c File Reference

Resets Radio, configures this device to be a Zigbee Coordinator, and displays any messages that are received. Uses the AF/ZDO interface. More...

`#include "../HAL/hal.h"`
`#include "../ZNP/znp_interface.h"`
`#include "../ZNP/application_configuration.h"`
`#include "../ZNP/af_zdo.h"`
`#include "../ZNP/znp_interface_spi.h"`
`#include "Messages/infoMessage.h"`
`#include "znp_simple_app_utils.h"`
`#include "znp_example_utils.h"`

#define | IS_INFO_MESSAGE_CLUSTER() (CONVERT_TO_INT(znpBuf[AF_INCOMING_MESSAGE_CLUSTER_LSB_FIELD],znpBuf[AF_INCOMING_MESSAGE_CLUSTER_MSB_FIELD]) == INFO_MESSAGE_CLUSTER)
signed int | returnValue
unsigned char | znpBuf [100]
void | displayMessages ()
void | waitForDeviceState (unsigned char expectedState)
int | main (void)

## Detailed Description

Resets Radio, configures this device to be a Zigbee Coordinator, and displays any messages that are received. Uses the AF/ZDO interface.

See also:
  http://processors.wiki.ti.com/index.php/Tutorial_on_the_Examples and http://e2e.ti.com/support/low_power_rf/default.aspx

Rev
  602

Author
  dsmith

Date
  2010-06-16 13:09:46 -0700 (Wed, 16 Jun 2010)

YOU ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL TEXAS INSTRUMENTS OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Function Documentation

void waitForDeviceState | ( | unsigned char | expectedState | ) |

Blocking wait until a message is received. Exits if received message is a ZDO_STATE_CHANGE_IND and the state matches what we want. Else loops.

Parameters:

  | expectedState | the deviceState we are expecting - DEV_ZB_COORD etc.

Wait until a message is received. Exits if received message is a ZDO_STATE_CHANGE_IND and the state matches what we want. Else loops.

Parameters:

  | expectedState | the deviceState we are expecting - DEV_ZB_COORD etc.

Returns:
  0 if success, -1 if timeout

All Data Structures Files Functions Variables Defines